Update a webhook subscription
Updates url, event types, and/or status (active|paused) of a webhook subscription
OAuth scopes
- openid
Path Parameters
- Type: stringsubscription
Id requiredSubscription identifier
Body
application/json
- Type: array string[] 1…event
Types min length:1 - Type: string enumstatusvalues
- active
- paused
- Type: stringurlmax length:2048Format: uri
Responses
- application/json
Request Example for patch/webhooks/v1/subscriptions/{subscriptionId}
curl 'https://api.specs.wseng.ai/webhooks/v1/subscriptions/{subscriptionId}' \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"status": "paused"
}'
{
"subscriptionId": "sub_01HQXYZ",
"url": "https://example.com/webhooks/spec-viewer",
"eventTypes": [
"specification.updated",
"comment.created"
],
"status": "active",
"createdAt": "2024-06-15T10:30:00.000Z"
}